Subject: RE: [Sip] RE: [Sip-implementors] draft-ietf-sip-service-examples-03.txt

From: "Roy, Radhika R, ALASO" <[email-masked]>
Date: Fri, 8 Feb 2002 14:37:02 -0500

Hi, Jonathan and Satyamurthy:

I believe that Jonathan is right. SIP provides all the tools for service creation.

Jonathan's draft (draft-rosenberg-sip-3pcc-03.txt) provides an example how 3pcc services can be provided. This kind of the drafts when finalized will foster the interoperability (again, services are NOT standardized). Similar is the case with SIP services example and others.

Hope that Satyamurthy may look into Janathan's draft and may pose questions differently. That is, if there are questions related to the 3pcc draft, SIP services example, and others, we may like to discuss here.

Best regards,
Radhika R. Roy

-----Original Message-----
From: Jonathan Rosenberg [mailto:[email-masked]]
Sent: Friday, February 08, 2002 12:51 PM
To: Yadavalli, Satyamurthy
Cc: 'Alan Johnston'; 'Aymeric MOIZARD'; [email-masked];
[email-masked]
Subject: Re: [Sip] RE: [Sip-implementors]
draft-ietf-sip-service-examples-03.txt

"Yadavalli, Satyamurthy" wrote:
> 
> I keep hearing these terms 3pcc, B2BUA, and other approaches etc., and I
> wonder how different vendors of SIP components (UAs, proxy servers
> etc.,)
> will be able to realize  supplementary features (sip-service-examples)
> each
> independantly presuming an  approach for each feature.
> The same thing said differently: for a simple feature like call
> forwarding....should the UA do it or should the proxy do it. If there
> exists
> no specification how would different vendors interoperate to achieve the
> call control features across networks?

The SIP spec doesn't tell an operator what services to role out, where
to put them, and so on. The sip spec, and the rest of the
specifications, ensure that the proper SIP tools exist to make the
service work.

Let us take the case of forwarding. It can be done in a proxy in the
network, or in a UA. If a provider chooses not to do it, all that means
is that their service doesn't offer the feature. You can choose to get a
UA that does it, or not, and that would be a user's choice. If the
provider does implement it, the user can make use of that service, or
disable it, and then have it provided on their UA. In all cases, there
is no interop problems at all. 

-Jonathan R.

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip